<!DOCTYPE html>
<html lang="<?php print $language->language ?>" dir="<?php print $language->dir ?>">
<head>
  <title><?php print $head_title; ?></title>
  <?php print $head; ?>
  <?php print $styles; ?>
  <?php print $scripts; ?>
</head>
<body class="<?php print $body_classes; ?>">
  <?php if (!empty($admin)) print $admin; ?>
  <div id="page">
    <header class="zone-wrapper">
      <div id="site-header" class="container-<?php print $branding_wrapper_width; ?>">
        <hgroup id="branding" class="grid-<?php print $header_logo_width; ?>">
          <a href="<?php print $front_page; ?>">
            <?php if ($title): ?>
              <h2><?php print $site_name; ?></h2>
            <?php else : ?>
              <h1><?php print $site_name; ?></h1>
            <?php endif; ?>
            <p><?php print $site_slogan; ?></p>
          </a>
        </hgroup><!-- /#branding -->
  
        <?php if ($main_menu_links || $secondary_menu_links): ?>
          <nav id="site-menu" class="grid-<?php print $header_menu_width; ?>">
            <?php print $main_menu_links; ?>
            <?php print $secondary_menu_links; ?>
          </nav><!-- /#site-menu -->
        <?php endif; ?>
      </div><!-- /#site-header -->
      
      <?php if($header_first || $header_last): ?>
      <div id="header-regions" class="container-<?php print $header_wrapper_width; ?> clearfix">
        <?php if($header_first): ?>
          <div id="header-first" class="<?php print $header_first_classes; ?>">
            <?php print $header_first; ?>
          </div><!-- /#header-first -->
        <?php endif; ?>
        <?php if($header_last): ?>
          <div id="header-last" class="<?php print $header_last_classes; ?>">
            <?php print $header_last; ?>
          </div><!-- /#header-last -->
        <?php endif; ?>
      </div><!-- /#header-regions -->
      <?php endif; ?>
    </header>
    
    <?php if($search_box || $breadcrumb): ?>
    <div id="internal-nav" class="container-<?php print $internal_nav_wrapper_width; ?> clearfix">
      <div id="slogan-bcrumb" class="grid-<?php print $breadcrumb_slogan_width; ?>">
        <?php if($breadcrumb): ?>
          <div id="bcrumb"><?php print $breadcrumb; ?></div><!-- /#bcrumb -->
        <?php endif; ?>
      </div>
      <?php if ($search_box): ?>
        <div id="search-box" class="grid-<?php print $search_width; ?>"><?php print $search_box; ?></div><!-- /#search-box -->
      <?php endif; ?>
    </div><!-- /#internal-nav -->
    <?php endif; ?>
    
    <?php if($preface_first || $preface_middle || $preface_last): ?>
    <div id="preface-wrapper" class="container-<?php print $preface_wrapper_grids; ?> clearfix">
      <?php if($preface_first): ?>
        <div id="preface-first" class="preface <?php print $preface_first_classes; ?>">
          <?php print $preface_first; ?>
        </div><!-- /#preface-first -->
      <?php endif; ?>
      <?php if($preface_middle): ?>
        <div id="preface-middle" class="preface <?php print $preface_middle_classes; ?>">
          <?php print $preface_middle; ?>
        </div><!-- /#preface-middle -->
      <?php endif; ?>
      <?php if($preface_last): ?>
        <div id="preface-last" class="preface <?php print $preface_last_classes; ?>">
          <?php print $preface_last; ?>
        </div><!-- /#preface-last -->
      <?php endif; ?>
    </div><!-- /#preface-wrapper -->
    <?php endif; ?>
    
    <?php if($help || $messages): ?>
    <div class="container-<?php print $default_container_width; ?> clearfix">
      <div class="grid-<?php print $default_container_width; ?>">
        <?php print $help; ?><?php print $messages; ?>
      </div>
    </div><!-- /.container-xx -->
    <?php endif; ?>
    <div id="main-content-zone-wrapper" class="zone-wrapper">
      <div id="main-content-container" class="container-<?php print $content_container_width; ?> clearfix">
        <div id="main-wrapper" class="column <?php print $main_content_classes; ?>">
          <?php if (!empty($mission)) {
            print $mission;
          }?>
          <?php if($content_top): ?>
          <div id="content-top">
            <?php print $content_top; ?>
          </div><!-- /#content-top -->
          <?php endif; ?>
          <?php if ($tabs): ?>
            <div id="content-tabs" class=""><?php print $tabs; ?></div><!-- /#content-tabs -->
          <?php endif; ?>
      
          <?php if ($title): ?>
            <h1 class="title" id="page-title"><?php print $title; ?></h1>
          <?php endif; ?>
      
          <div id="main-content" class="region clearfix">
            <?php print $content; ?>
          </div><!-- /#main-content -->
          
          <?php if($content_bottom): ?>
          <div id="content-bottom">
            <?php print $content_bottom; ?>
          </div><!-- /#content-bottom -->
          <?php endif; ?>
        </div><!-- /#main-wrapper -->
      
        <?php if ($sidebar_first): ?>
          <aside id="sidebar-first" class="column sidebar region <?php print $sidebar_first_classes; ?>">
            <?php print $sidebar_first; ?>
          </aside><!-- /#sidebar-first -->
        <?php endif; ?>
      
        <?php if ($sidebar_last): ?>
          <aside id="sidebar-last" class="column sidebar region <?php print $sidebar_last_classes; ?>">
            <?php print $sidebar_last; ?>
          </aside><!-- /#sidebar-last -->
        <?php endif; ?>
      </div><!-- /#main-content-container -->
    </div>
    <?php if($postscript_one || $postscript_two || $postscript_three || $postscript_four): ?>
    <div id="postscript-wrapper" class="container-<?php print $postscript_container_width; ?> clearfix">
      <?php if($postscript_one): ?>
        <div id="postscript-one" class="postscript <?php print $postscript_one_classes; ?>">
          <?php print $postscript_one; ?>
        </div><!-- /#postscript-one -->
      <?php endif; ?>
      <?php if($postscript_two): ?>
        <div id="postscript-two" class="postscript <?php print $postscript_two_classes; ?>">
          <?php print $postscript_two; ?>
        </div><!-- /#postscript-two -->
      <?php endif; ?>
      <?php if($postscript_three): ?>
        <div id="postscript-three" class="postscript <?php print $postscript_three_classes; ?>">
          <?php print $postscript_three; ?>
        </div><!-- /#postscript-three -->
      <?php endif; ?>
      <?php if($postscript_four): ?>
        <div id="postscript-four" class="postscript <?php print $postscript_four_classes; ?>">
          <?php print $postscript_four; ?>
        </div><!-- /#postscript-four -->
      <?php endif; ?>
    </div><!-- /#postscript-wrapper -->
    <?php endif; ?>
    
    <?php if($footer_first || $footer_last || $footer_message): ?>
    <footer id="footer-zone-wrapper" class="zone-wrapper">
      <div id="footer-wrapper" class="container-<?php print $footer_container_width; ?> clearfix">
        <?php if($footer_first): ?>
          <div id="footer-first" class="<?php print $footer_first_classes; ?>">
            <?php print $footer_first; ?>
          </div><!-- /#footer-first -->
        <?php endif; ?>
        <?php if($footer_last || $footer_message): ?>
          <div id="footer-last" class="<?php print $footer_last_classes; ?>">
            <?php print $footer_last; ?>
            <?php if ($footer_message): ?>
              <div id="footer-message">
                <?php print $footer_message; ?>
              </div><!-- /#footer-message -->
            <?php endif; ?>
          </div><!-- /#footer-last -->
        <?php endif; ?>
      </div><!-- /#footer-wrapper -->
    </footer>
    <?php endif; ?>
  </div><!-- /#page -->
  <?php print $closure; ?>
</body>
</html>
